local *

{
  :idTweaks
  :idTweaksUtils
} = _G
{ :idTweaks } = _G
{ :UnitFrame } = idTweaks
{ :BarElement } = UnitFrame
{ :merge } = idTweaksUtils.table.map

class HealthBarElement extends BarElement
  new: () =>
    super "HealthBar"

  get_defaults: =>
    { :merge } = idTweaksUtils.table.map

    merge super!,
      color_disconnected: true
      color_tapping: true
      color_threat: true
      color_class: true
      color_class_npc: true
      color_class_pet: true
      color_selection: true
      color_reaction: true
      color_smooth: true
      color_health: true

UnitFrame.HealthBarElement = HealthBarElement
